<div class="mainBox">
  <h2><a name="idx-download" id="idx-download">Download</a></h2>

  <h3>Developpement</h3>
  <ul>
    <li><a href="http://www.webtime-project.net/ruby-xslt/ruby-xslt_0.1.0.tar.gz">ruby-xslt_0.1.0.tar.gz</a> testing Ruby 1.8.0</li>
  </ul>
  
  <h3>Stable</h3>
  <ul>
    <li>no release</li>
  </ul>
  
  <h3>Olds</h3>
  <ul>
    <li>no release</li>
  </ul>
</div>

<div class="interBox">[<a href="#idx-top">top</a>]</div>

<div class="mainBox">
  <h2><a name="idx-info" id="idx-info">Documentation</a></h2>

  XML::XSLT - A Ruby class for processing XSLT

  <h2>SYNOPSIS</h2>
  <pre>require 'xml/xslt'

xslt = XML::XSLT.new()
xslt.xsl = xsl_string
xslt.xml = xml_string

out = xslt.serve()
print out;</pre>

  <h2>METHODS</h2>
  <dl>
    <dt><tt><b>XML::XSLT.new()</b></tt></dt>
    <dd>Returns a new XSLT parser object</dd>

    <dt><tt><b>XML::XSLT.xml</b></tt></dt>
    <dd>Get XML document</dd>

    <dt><tt><b>XML::XSLT.xml=</b></tt></dt>
    <dd>Set XML document</dd>

    <dt><tt><b>XML::XSLT.xsl</b></tt></dt>
    <dd>Get XSL document</dd>

    <dt><tt><b>XML::XSLT.xsl=</b></tt></dt>
    <dd>Set XSL document</dd>

    <dt><tt><b>XML::XSLT.serve()</b></tt></dt>
    <dd>Processes the given XML through the stylesheet. Returns a string containg the result.</dd>

  </dl>
  <p></p>
</div>

<div class="interBox">[<a href="#idx-top">top</a>]</div>

<div class="mainBox">
  <h2><a name="idx-licence" id="idx-licence">Licence</a></h2>

<pre>Copyright (C) 2003 Gregoire Lejeune &lt;gregoire.lejeune@free.fr&gt;

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA</pre>
</div>

<div class="interBox">[<a href="#idx-top">top</a>]</div>
